Bug 1215022 - Populate message IDs with recommended action.
Summary: Populate message IDs with recommended action.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: logging
Version: mainline
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-24 07:07 UTC by Humble Chirammal
Modified: 2019-05-07 15:22 UTC (History)
2 users (show)

Fixed In Version: glusterfs-6.x
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-07 15:22:27 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Humble Chirammal 2015-04-24 07:07:00 UTC
Description of problem:


The *.messages.h file has to be populated with the below information for all the components where the logs are populated to new logging framework.


For ex:
 

/*!
 * @messageid 106022
 * @diagnosis  Unsupported or Invalid version number
 * @recommendedaction  Install the version of the software mentioned in the log file to support the failed operation.
 */


Version-Release number of selected component (if applicable):

GlusterFS 3.7

How reproducible:

N/A

Steps to Reproduce:

N/A

Actual results:

The *.-messages.h does not have above mentioned information.

Expected results:

The header file has to be carry information as source comment, so that it can be used for carving documents like error message guide.

Comment 1 Yaniv Kaul 2019-04-17 09:29:22 UTC
Status?

Comment 4 Amar Tumballi 2019-05-07 15:22:27 UTC
> So should we open a more specific issue and close this one?

I am inclined towards closing this bug, and open new bugs to track specific efforts. 

Closing with CURRENTRELEASE, and will open any particular bugs per components so we can track them to future releases.


Note You need to log in before you can comment on or make changes to this bug.